/*
 * File: FollowMouse.java
 * ================================================================
 * A program that tracks the mouse position.
 */
import acm.program.*;
import acm.graphics.*;
import java.awt.event.*;

public class FollowMouse extends GraphicsProgram {
	/* The actual object that tracks the mouse.  This is an instance variable
	 * so that we can access it from the mouse event.
	 */
	private GImage tracker;
	
	public void run() {
		createTracker();
		addMouseListeners();
	}
	
	/* Creates the cat that tracks the mouse. */ 
	private void createTracker() {
		tracker = new GImage("Cat.jpg");
		add(tracker);
	}
	
	/* Upon the mouse moving, move the cat to center it around the mouse position. */
	public void mouseMoved(MouseEvent e) {
		tracker.setLocation(e.getX() - tracker.getWidth() / 2.0,
				            e.getY() - tracker.getHeight() / 2.0);
	}
}
