/**
 * File: HolePuncher.java
 * Author: Keith Schwarz (htiek@cs.stanford.edu)
 * 
 * A program that simulates a hole puncher in Java!
 */
import java.awt.event.MouseEvent;

import acm.program.*;
import acm.graphics.*;

public class HolePuncher extends GraphicsProgram {
	/* The radius of a hole that should be punched. */
	private static final double HOLE_RADIUS = 10;

	/* Turns on mouse listeners. */
	public void run() {
		addMouseListeners();
	}
	
	/* Upon a click, creates a circle centered at the mouse
	 * position.
	 */
	public void mousePressed(MouseEvent e) {
		GOval hole = new GOval(e.getX() - HOLE_RADIUS, e.getY() - HOLE_RADIUS,
				               HOLE_RADIUS * 2, HOLE_RADIUS * 2);
		hole.setFilled(true);
		add(hole);
	}
	
}
